\newcommand{\aadl}{\textsf{AADL}\xspace}
\newcommand{\acadie}{\textsc{Acadie}\xspace}
\newcommand{\atl}{\textsf{ATL}\xspace}
\newcommand{\C}{\textsf{C}\xspace}
\newcommand{\caml}{\textsf{Caml}\xspace}
\newcommand{\compcert}{\textsf{CompCert}\xspace}
\newcommand{\coq}{\textsf{Coq}\xspace}
\newcommand{\csharp}{\textsf{C\#}\xspace}
\newcommand{\eclipse}{\textsf{Eclipse}\xspace}
\newcommand{\ecore}{\textsf{ECore}\xspace}
\newcommand{\emf}{\textsf{EMF}\xspace}
\newcommand{\fiacre}{\textsf{Fiacre}\xspace}
\newcommand{\fiacreet}{\textsf{Fiacre-étoile}\xspace}
\newcommand{\fiacrert}{\textsf{Fiacre-RT}\xspace}
\newcommand{\fsharp}{\textsf{F\#}\xspace}
\newcommand{\geneauto}{\textsf{GeneAuto}\xspace}
\newcommand{\gom}{\textsf{Gom}\xspace}
\newcommand{\inria}{\textsc{INRIA}\xspace}
\newcommand{\jastadd}{\textsf{JastAdd}\xspace}
\newcommand{\java}{\textsf{Java}\xspace}
%\newcommand{\jjforester}{\textsf{JJForester}\xspace}
%\newcommand{\jjtraveler}{\textsf{JJTraveler}\xspace}
\newcommand{\kermeta}{\textsf{Kermeta}\xspace}
%\newcommand{\linq}{\textsf{LINQ}\xspace}
%\newcommand{\llex}{\textsf{Lex}\xspace}
%\newcommand{\mutraveler}{\textsf{MuTraveler}\xspace}
\newcommand{\ocaml}{\textsf{OCaML}\xspace}
\newcommand{\ocl}{\textsf{OCL}\xspace}
\newcommand{\pareo}{\textsc{Pareo}\xspace}
\newcommand{\pizza}{\textsf{Pizza}\xspace}
\newcommand{\protheo}{\textsc{Prothéo}\xspace}
\newcommand{\python}{\textsf{Python}\xspace}
\newcommand{\quarteft}{\textsf{quarteFt}\xspace}
\newcommand{\rtfiacre}{\textsf{RT-Fiacre}\xspace}
\newcommand{\scala}{\textsf{Scala}\xspace}
%\newcommand{\scheme}{\textsf{Scheme}\xspace}
\newcommand{\sdl}{\textsc{SDL}\xspace}
\newcommand{\simulink}{\textsf{Simulink}\xspace}
%\newcommand{\specsharp}{\textsf{Spec \#}\xspace}
\newcommand{\stateflow}{\textsf{Stateflow}\xspace}
%\newcommand{\strafunski}{\textsf{Strafunski}\xspace}
%\newcommand{\stratego}{\textsf{Stratego}\xspace}
\newcommand{\sysml}{\textsc{SysML}\xspace}
\newcommand{\tina}{\textsf{TINA}\xspace}
\newcommand{\tom}{\textsf{Tom}\xspace}
%\newcommand{\topcased}{\textsf{TOPCASED}\xspace}
\newcommand{\topcased}{\textsc{TopCased}\xspace}
\newcommand{\uml}{\textsf{UML}\xspace}
\newcommand{\xerces}{\textsf{Xerces}\xspace}
\newcommand{\xml}{\textsf{XML}\xspace}
%\newcommand{\yacc}{\textsf{Yacc}\xspace}

\newcommand{\ie}{\textit{i.e.}\xspace}
\newcommand{\etc}{\textit{etc.}\xspace}
\newcommand{\eg}{\textit{e.g.}\xspace}
\newcommand{\adhoc}{\textit{ad-hoc}\xspace}
\newcommand{\keyword}[1]{\textbf{\textsf{\footnotesize{#1}}}\xspace}
\newcommand{\lex}[1]{{\textrm{\textbf{#1}}}}
\newcommand{\todo}[1]{\textcolor{red}{#1}}

\newtheorem{example}{Exemple}

\lstset{basicstyle={\ttfamily},
        keywordstyle={\rmfamily\bfseries},
        columns=flexible}
\lstdefinelanguage{gom}{
  alsoletter={\%},
  morekeywords={\%match,module,imports,abstract,
                syntax,make,make_insert,realMake},
  sensitive=true,
  morecomment=[l]{//},
  morecomment=[s]{/*}{*/},
  morestring=[b]",
}
\lstnewenvironment{gomcode}[1][]%
{\lstset{language={gom},frame=tb,#1}}
{}
\lstnewenvironment{tomcode}[1][]%
{\lstset{language={java},
        keywordstyle={\scriptsize\bfseries},
        %basicstyle=\scriptsize,
        basicstyle={\ttfamily\scriptsize},
        columns=flexible,
        numberblanklines=false,
        numberstyle=\tiny,
        numbers=left,
       	numbersep=4pt,
	captionpos=b,
        showtabs=false,
        showspaces=false,
        showstringspaces=false,
        extendedchars=true,
        breaklines=false,
        escapechar={\#},
        alsoletter={\%,`,-,>},
  morekeywords={\%typeterm,\%op,\%oplist,\%oparray, \%strategy,\%match,
    is_fsym,get_slot,get_head,get_tail,is_empty,implement,equals,
    \%transformation, make,make_empty,make_insert,realMake,\%gom,visit,
    get_default, make_append, module,imports,abstract,syntax,is_sort,
    definition, traversal, with, to, get_element, get_size, `, ->},
  frame=tb,#1}}
{}

